#数据源配置
spring:
  redis:
    host: 121.204.253.223
    password: ltbiydhao5
    port: 6379
    database: 9
    timeout: 2s
  datasource:
    dynamic:
      druid:
        validation-query: select 1
        validation-query-timeout: 2000
        initial-size: 5
        max-active: 10
        min-idle: 5
        max-wait: 60000
        test-on-borrow: false
        test-on-return: false
        test-while-idle: true
        time-between-eviction-runs-millis: 60000
        min-evictable-idle-time-millis: 300000
        stat-view-servlet:
          enabled: false
        web-stat-filter:
          enabled: false
        filters: slf4j
      primary: master #设置默认的数据源或者数据源组,默认值即为master
      datasource:
        master:
          driver-class-name: com.mysql.cj.jdbc.Driver
          url: jdbc:mysql://125.77.165.122:3307/digital_operation?useSSL=false&useUnicode=true&characterEncoding=utf-8&autoReconnect=true&allowPublicKeyRetrieval=true
          username: root
          password: Platomix@mysql123

#blade配置
blade:
  #openfeign配置
  openfeign:
    #是否校验内网IP
    checkInnerIp: false
    #是否校验时间戳
    checkTimeError: false
  file:
    uploadPath: /chroot/www/uploads/
    uploadFace: /chroot/www/uploads/face/
  #素材文件上传管理
  material:
    uploadPath: ${blade.file.uploadPath}
    #domain: http://file.demo.aclass.baca-ai.com/
    domain: https://windata.platomix.net/uploads/
  license:
     filePath: D://license//license_key
     enabled: false
#人脸识别
baiduAI:
  apiKey: tXiazsSTohFoOGqn9wQgTWvZ
  secretKey: PFYmLd8R43sTCODVCmEcq3vNCFLC3fDG
  accUrl: https://aip.baidubce.com/oauth/2.0/token
  groupId: by_unicom_facegroup_sys
#人脸识别
customAI:
  apiKey: 693d1d320ba14c56b97b3fd7
  secretKey: ff05155806f0416f97e34cdadbc22758
  accUrl: https://opapi.bol.wo.cn/aicgi/oauth/2.0/token
  groupId: by_unicom_facegroup_sys
wxPay:
  #wxAppid: wxf6c238d9e4698994
  #wxSecret: b567044d42a63a0b160aa0621dc28340
  wxAppid: wx147f55f41e122710
  wxSecret: 930f907cfe399240c074205efd59385d
  jscodeUrl: https://api.weixin.qq.com/sns/jscode2session
  authorizeUrl: https://open.weixin.qq.com/connect/oauth2/authorize
  baseUrl: https://api.weixin.qq.com/sns/oauth2/access_token
#wechatOpen:
wechatOpen:
  appId: wxefbbcf6905f20de1
  secret: 87bf1e08a27fe9d66832f6548f2d0731
  autoUrl: https://windata.platomix.net/api/wechat/api/getAuthInformation

wechatApp:
  appId: wx3466c53d33b9dbdc
  secret: f7d9a3dfb60c1f80660833cbac413534
  code2SessionUrl: https://api.q.qq.com/sns/jscode2session?appid=${wechatApp.appId}&secret=${wechatApp.secret}&js_code=%s&grant_type=authorization_code

datasource:
  type: mysql

weCom:
  domainName: https://qyapi.weixin.qq.com/
  userinfoUrl: https://qyapi.weixin.qq.com/cgi-bin/auth/getuserinfo
  corpId: ww70971991bf0840bc
  corpSecret: a6RW9VjXWq-sQX1WyDfBlphNGW6B8SQ0Ksvx58nXZFs
  # 企业微信授权调用地址用来获取code
  redirectUrl: http://windata.platomix.net/api/wecom/getCode